#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pjproject
Version		:	2.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Libraries for building embedded/non-embedded VoIP applications

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/pjsip/pjproject/releases

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	alsa-lib
BuildRequires	:	ffmpeg-devel
BuildRequires	:	openssl-devel
BuildRequires	:	speex
BuildRequires	:	speexdsp
#-----------------------------------------------------------------------------
%description
This package provides the Open Source, comprehensive, high performance,
small footprint multimedia communication libraries written in C
language for building embedded/non-embedded VoIP applications.
It contains:
- PJSIP - Open Source SIP Stack
- PJMEDIA - Open Source Media Stack
- PJNATH - Open Source NAT Traversal Helper Library
- PJLIB-UTIL - Auxiliary Library
- PJLIB - Ultra Portable Base Framework Library
- PJSUA2 - Object Oriented abstractions layer for PJSUA

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md SECURITY.md
%license COPYING
%attr(755,root,root) %{_libdir}/lib*.so.*

#=============================================================================
%package -n			pjsua
Summary		:		command line SIP user agent

#-----------------------------------------------------------------------------
Requires	:		%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description -n			pjsua
pjsua is an open source command line SIP user agent (softphone)
that is used as the reference implementation for PJSIP, PJNATH, and PJMEDIA.
Despite its simple command line appearance, it does pack many features!

#-----------------------------------------------------------------------------
%files -n			pjsua
%defattr(-,root,root,-)
%{_bindir}/pjsua

#=============================================================================
%package			devel
Summary		:		Development files to use pjproject

#-----------------------------------------------------------------------------
Requires	:		%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description			devel
Header information for:
- PJSIP - Open Source SIP Stack
- PJMEDIA - Open Source Media Stack
- PJNATH - Open Source NAT Traversal Helper Library
- PJLIB-UTIL - Auxiliary Library
- PJLIB - Ultra Portable Base Framework Library

#-----------------------------------------------------------------------------
%files				devel
%defattr(-,root,root,-)
%{_includedir}/pj++/*.hpp
%{_includedir}/pj/*.h
%{_includedir}/pj/compat/*.h
%{_includedir}/pj/compat/*.h.in
%{_includedir}/pjlib++.hpp
%{_includedir}/pjlib.h
%{_includedir}/pjlib-util.h
%{_includedir}/pjlib-util/*.h
%{_includedir}/pjmedia-audiodev/*.h
%{_includedir}/pjmedia-codec.h
%{_includedir}/pjmedia-codec/*.h
%{_includedir}/pjmedia-codec/config_auto.h.in
%{_includedir}/pjmedia-videodev/*.h
%{_includedir}/pjmedia.h
%{_includedir}/pjmedia/*.h
%{_includedir}/pjmedia/config_auto.h.in
%{_includedir}/pjmedia_*.h
%{_includedir}/pjnath.h
%{_includedir}/pjnath/*.h
%{_includedir}/pjsip.h
%{_includedir}/pjsip-simple/*.h
%{_includedir}/pjsip-ua/sip_*.h
%{_includedir}/pjsip_*.h
%{_includedir}/pjsip/sip_*.h
%{_includedir}/pjsip/print_util.h
%{_includedir}/pjsip/sip_autoconf.h.in
%{_includedir}/pjsua-lib/*.h
%{_includedir}/pjsua.h
%{_includedir}/pjsua2.hpp
%{_includedir}/pjsua2/*.hpp
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/lib%{name}.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
export CFLAGS="-DPJ_HAS_IPV6=1 -DNDEBUG"
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-ffmpeg					\
	--enable-sdl					\
	--with-external-speex				\
	--enable-shared					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} 						\
	%{_smp_mflags}					\
	dep

%{__make} 						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

install -p -D -m 0755					\
	pjsip-apps/bin/pjsua-*				\
	%{buildroot}%{_bindir}/pjsua

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	\( -name \*.la -o -name \*.a \)			\
	-delete

#-----------------------------------------------------------------------------
%changelog
